Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(35)

Issue 227073002: Treats the returned value from ui::TextInputClient as DIP (Closed)

Created:
4 years, 10 months ago by yukawa
Modified:
4 years, 10 months ago
Reviewers:
Seigo Nonaka, Yuki
CC:
chromium-reviews, nona+watch_chromium.org, James Su, yukishiino+watch_chromium.org, penghuang+watch_chromium.org, yusukes+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Treats the returned value from ui::TextInputClient as DIP On Windows, the returned value from ui::TextInputClient as DIP is supposed to be DIP (Density Independent Pixel). This CL adds relevant coordinate conversion so that IME UI can be placed at the proper position when HiDPI is enabled on Windows. This CL does not cover Win8 (Ash) mode. BUG=260529, 360334 TEST=Manually tested on Windows 8.1 w/ and w/o HiDPI is enabled. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=262473

Patch Set 1 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -6 lines) Patch
M ui/base/ime/input_method_win.cc View 4 chunks +12 lines, -4 lines 0 comments Download
M ui/base/ime/text_input_client.h View 2 chunks +14 lines, -2 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
yukawa
Hey Nonaka-san, could you take a look?
4 years, 10 months ago (2014-04-05 13:05:22 UTC) #1
yukawa
On 2014/04/05 13:05:22, yukawa wrote: > Hey Nonaka-san, could you take a look? Friendly ping?
4 years, 10 months ago (2014-04-08 07:55:12 UTC) #2
Yuki
lgtm
4 years, 10 months ago (2014-04-08 07:58:59 UTC) #3
yukawa
The CQ bit was checked by yukawa@chromium.org
4 years, 10 months ago (2014-04-08 15:43:19 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yukawa@chromium.org/227073002/20001
4 years, 10 months ago (2014-04-08 15:43:57 UTC) #5
commit-bot: I haz the power
4 years, 10 months ago (2014-04-08 19:30:43 UTC) #6
Message was sent while issue was closed.
Change committed as 262473

Powered by Google App Engine
This is Rietveld 408576698